# docker-ubuntu-pyside-xvfb
---

This repository contains the Dockerfiles required to build all tags on [Docker Hub](https://hub.docker.com/repository/docker/ad5001/ubuntu-pyside-xvfb/):    

## All tags

- a version of Python (v3.12 for PySide6, v3.10 for PySide2)
- the tagged version of PySide2/6.
- Python packages: `pip`, `requests`, `packaging`, `pytest` (+ `pytest-cov` + `pytest-qt`)
- `xvfb`, `xdotool`, and `wmctrl`.

## Linux tags
- a Ubuntu base (noble for PySide6 and jammy for PySide2)
- python3 is available under `/usr/bin/python3`.    
- External pip management disabled (allows you to install packages from pip directly).
- `make`, `git`, `rpm`, and `dh-python`.

Additionally, the linux-6*-latex tag include a full TeXlive installation including `dvipng` and the latex extras.    


## Wine tags
- The latest `winehq-staging` under a Ubuntu base.
- `/usr/bin/python` calling `python3` under wine.
- `/usr/bin/pip` calling `pip` under wine.
- `/usr/bin/pyinstaller` calling `pyinstaller` under wine.
- `wget`, `curl`, `git`, `p7zip-full`, `unzip` and `nsis`.

---

NOTE: In Docker, use xvfb-run to run a program within a Xvfb server.
